<?php
class AuthController extends Controller{

    public function logout(){
        $master = $this->model('AuthModel');
        $master->logout();
        header('Location:'.ROOT);
    }

    public function login(Request $request){
        $user = $this->model('AuthModel');
        $data = $request->getBody();
        if(isset($data['email']) && isset($data['password'])){
            $user->login($data);
        }

        $params['meta'] = [
            'title'=>'LMS -Login',
            'description' => '',
        ];

        $this->view('auth/login' , $params);
    }

    public function register(Request $request){
        $data = $request->getBody();
        $user = $this->model('AuthModel');
        if(isset($data['email']) && isset($data['password'])){
            $user->signup($data);
        }
        $params['meta'] = [
            'title'=>'LMS - Create an Account',
            'description' => '',
        ];
        
        $this->view('auth/register' , $params);
    }

    public function forget(){

        $params['meta'] = [
            'title'=>'LMS - Create an Account',
            'description' => '',
        ];
        
        $this->view('auth/forget' , $params);
    }

}