<?php
class HomeController extends Controller{

    public function index(){

        $params['meta'] = [
            'title'=>'LMS - Library Mangement System',
            'description' => 'Efficiently manage your library with our customizable Library Management System (LMS). Simplify tasks like cataloging, circulation, and patron management. Explore our solutions now.',
            'keywords' => 'Library software,
            Cataloging,
            Circulation management,
            Patron management,
            Resource management,
            Digital libraries,
            Library automation,
            Integrated library system,
            Online databases,
            Library analytics,
            Library workflow,
            Book tracking,
            Inventory management,
            E-books',
            'author'=>'Abd Ahad Ul Amin',
            'url'=>'',
            'image' => ''
        ];


        if(isset($_SESSION['id']) && isset($_SESSION['role_id'])){
            if($_SESSION['role_id'] == 1){
                $this->view('home' , $params);
            }else if($_SESSION['role_id'] == 2){
                $this->view('users-dashboard' , $params);
            }
           
        }else{
            $this->view('auth/login' , $params);
            
        }
        
       
    }

}