<?php
class OverdueBooksController extends Controller{
    public function index(){
        // Get current page number
        $page = isset($_GET['page']) ? intval($_GET['page']) : 1;
        $searchQuery = isset($_GET['search']) ? trim($_GET['search']) : '';
        $model = $this->model('OverdueBooksModel');
        $params['overdueBooks'] = $model->getOverDueData($page, 10, $searchQuery);
      
        $totalRecords = $model->countOverdueBook();
        $pagination = new Pagination($totalRecords, $page, 10);
        if ($totalRecords > $pagination->getLimit()) {
          $params['pagination'] =  $pagination->render();
          } else {
              $params['pagination'] = '';
          }
      
        $this->view('overdue-books', $params);
              
          }

}