<?php
function p($value){
   echo "<pre>";
   var_dump($value);
   echo "</pre>";
   exit;
}
function d($value){
   echo "<pre>";
   var_dump($value);
   echo "</pre>";

}

function redirect($path, $statusCode = 303) {
   $url = ROOT.'/'.$path;
   header('Location: ' . $url, true, $statusCode);
   die();
}

function generateUniqueId($length = 16) {
   $chars = '0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ';
   $result = '';
   for ($i = 0; $i < $length; $i++) {
       $result .= $chars[random_int(0, strlen($chars) - 1)];
   }
   return $result;
}

function generateCSRFToken() {
   $token = bin2hex(random_bytes(32));
   $_SESSION['_token'] = $token;
   return $token;
 }

 function validateCSRFToken($token) {
   if (isset($_SESSION['_token']) && hash_equals($_SESSION['_token'], $token)) {
     unset($_SESSION['_token']);
     return true;
   }
   return false;
 }

 function csrf() {
   $token = generateCSRFToken();
   return '<input type="hidden" name="_token" value="' . $token . '">';
 }

 function formatDate($date_str) {
   return date("F j, Y", strtotime($date_str));
}
 

