<section>
  <?php if (count($params['books']) > 0): ?>
    <div class="search-container">
      <form class="search-form" action="<?=ROOT?>/books/" method="get">
        <input type="text" name="search" placeholder="Search book by title">
        <button type="button" class="gradient-btn">Search</button>

      </form>

    </div>
    <div class="data-table">
      <div class="data-info">
        <h3>Book List</h3> <a href="<?= ROOT ?>/books/build" class="gradient-btn">Add new book</a>
      </div>



      <div class="table-container">
        <table>
          <thead>
            <tr>
              <th>Book ID</th>
              <th>Title</th>
              <th>Author</th>
              <th>Quantity</th>
              <th>Action</th>
            </tr>
          </thead>
          <tbody>
            <?php foreach ($params['books'] as $key => $books) : ?>
              <tr>
              
                <td> <input type="checkbox" id="cid-<?=$books['id']?>">&nbsp; #B<?= $books['id'] ?></td>
                <td><?= $books['title'] ?></td>
                <td><?= $books['author'] ?></td>
                <td><?= $books['quantity'] ?></td>
                <td>
              
                  <div class="action-menu" style="display: flex;align-items: center;">
                 
                    <div class="dots"><i class="uil uil-ellipsis-v"></i></div>
                    <div class="menu">
                      <a href="<?= ROOT ?>/books/<?= $books['bookIdentify'] ?>/modify" class="edit"><i class="uil uil-edit"></i>Edit</a>
                      <a href="<?= ROOT ?>/books/<?= $books['bookIdentify'] ?>/destroy" class="delete"><i class="uil uil-trash-alt"></i>Delete</a>
                      <a href="<?= ROOT ?>/books/<?= $books['bookIdentify'] ?>" class="show"><i class="uil uil-eye"></i>Show</a>
                      <a href="#" class="hide"><i class="uil uil-shield-exclamation"></i>Hide</a>
                    </div>
                    <div class="delete" id="delete-<?=$books['id']?>"><i class="uil uil-trash-alt"></i></div>

                  </div>


                </td>
              </tr>
            <?php endforeach; ?>
          </tbody>


        </table>

        <div class="pagination-container">
          <?= $params["pagination"] ?>
        </div>


      </div>
      <?php else: ?>
      <p>No Record to Display.</p>
      <?php endif; ?>

    </div>

  </section>


<script>
$(document).ready(function() {
  $('[id^="cid-"]').click(function() {
    var id = $(this).attr('id').split('-').pop();
    if ($(this).is(':checked')) {
      $('#delete-' + id).show();
    } else {
      $('#delete-' + id).hide();
    }
  });
});


</script>
