
<h1 style="padding:0rem 1.5rem;">Book Issue Request </h1>
<section class="container">
    <?php foreach ($params['issue-request'] as $key => $data) : ?>

    <div class="data-table" style="width:30%; font-weight:bold;">
        <aside style="padding:1rem;" id="t-<?=$data['t_id']?>">
        <p>User ID  &nbsp; <span style="font-weight:normal;"><?=$data['user_id']?> </span></p>
        <p><?=$data['first_name']?> send borrow request for a book</p>
        <p>Book Details</p>
        <div style="background:#00a4cf52;border-radius:0.5rem;font-weight:normal;">
            <div style="padding:1rem;">
            <div class="row"><p>Book ID</p> <p>#B<?=$data['book_id']?></p></div>
            <div class="row"><p>Book Name</p> <p><?=$data['title']?></p></div>
            <div class="row"><p>Author Name</p> <p><?=$data['author']?></p></div>
            </div>
        </div>
        <div class="row">
        <button class="action-btn cancel-btn"
        data-transaction-id="<?=$data['t_id']?>"
        data-transaction-book-id="<?=$data['book_id']?>"
        data-transaction-type="decline">Ignore</button>

        <button class="action-btn save-btn"
        data-transaction-id="<?=$data['t_id']?>"
        data-book-id="<?=$data['book_id']?>"
        data-transaction-type="approved">Accept</button>


        </div>
        </aside>
    </div>
    
    <?php endforeach; ?>
</section>







<script>
    $(document).ready(function() {
        $(".action-btn").click(function() {
            var bookId = $(this).data("book-id");
            var userId = $(this).data("user-id");
            var transactionId = $(this).data("transaction-id");
            var transactionType = $(this).data("transaction-type");
            $.ajax({
                url: "<?=ROOT?>/issue-request/build",
                type: "POST",
                data: { transaction_id: transactionId, transaction_type: transactionType, book_id: bookId },
                success: function(result) {
                $('#t-'+transactionId).hide();
                },
                error: function(xhr, status, error) {
                    console.error(xhr.responseText);
                }
            });
        });
    });
</script>
