<style>
  /* Styles for screens */
  .receipt_table{
    background:#00a4cf52;
    border-radius:0.5rem;
    font-weight:normal;
    width:350px;
  }
.rp{
    padding:1rem;
}
.row {
    display: flex;
    justify-content: space-between;
    width: 100%;
}
  /* Styles for print */
  @media print {
    #content {
      background-color: #fff;
      color: #000;
      font-size: 16px;
      padding: 20px;
      width: 100%;
      margin: 0;
      
    }
  }
</style>

<script src="https://cdnjs.cloudflare.com/ajax/libs/jspdf/1.3.5/jspdf.min.js"></script>
<?php foreach ($params['receipt'] as $key => $receipt) : ?>
<section class="container">

    <aside class="data-table">
    <div class="rp">
    <h1>Borrowing book receipt</h1>
    <h4>User ID <?=$receipt['user_id']?> wants to borrow book</h4>

    <p>Book Details</p>
        <div class="receipt_table">
            <div class="rp">
            <div class="row"><p>Book ID</p> <p>#<?=$receipt['book_id']?></p></div>
            <div class="row"><p>Book Name</p> <p><?=$receipt['title']?></p></div>
            <div class="row"><p>Author Name</p> <p><?=$receipt['author']?></p></div>
            </div>
        </div>

        <p>User Details</p>
        <div class="receipt_table">
            <div class="rp">
            <div class="row"><p>User ID</p> <p><?=$receipt['user_id']?></p></div>
            <div class="row"><p>User Name</p> <p><?=$receipt['first_name']?> <?=$receipt['last_name']?></p></div>
            </div>
        </div>
        <div style="border-radius:0.5rem;font-weight:normal;width:350px">
            <div class="rp">
            <div class="row"><p>Borrow Date </p> <p>Return Date </p> <p>Fee</p></div>
            <div class="row"><p><?=formatDate($receipt['borrow_date'])?> </p> <p><?=formatDate($receipt['return_date'])?> </p><p>$15</p></div>
            </div>
        </div>

    <div id="content" style="display:none;">
    <table style="width:100%; border-collapse: collapse; margin-bottom: 20px;">
    <tr style="background:#00a4cf52;">
        <th style="padding: 10px; border: 1px solid #ddd;">Book Details</th>
    </tr>
    <tr>
        <td style="padding: 10px; border: 1px solid #ddd;">
            <table style="width: 100%; margin-bottom: 10px;">
                <tr>
                    <td style="width: 30%;"><b>Book ID</b></td>
                    <td style="width: 70%;">#<?=$receipt['book_id']?></td>
                </tr>
                <tr>
                    <td><b>Book Name</b></td>
                    <td><?=$receipt['title']?></td>
                </tr>
                <tr>
                    <td><b>Author Name</b></td>
                    <td><?=$receipt['author']?></td>
                </tr>
            </table>
        </td>
    </tr>
    <tr style="background:#00a4cf52;">
        <th style="padding: 10px; border: 1px solid #ddd;">User Details</th>
    </tr>
    <tr>
        <td style="padding: 10px; border: 1px solid #ddd;">
            <table style="width: 100%; margin-bottom: 10px;">
                <tr>
                    <td style="width: 30%;"><b>User ID</b></td>
                    <td style="width: 70%;">#<?=$receipt['user_id']?></td>
                </tr>
                <tr>
                    <td><b>User Name</b></td>
                    <td><?=$receipt['first_name']?> <?=$receipt['last_name']?></td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td style="padding: 10px; border: 1px solid #ddd;">
            <table style="width: 100%;">
                <tr>
                    <td style="width: 33%;"><b>Borrow Date</b></td>
                    <td style="width: 33%;"><b>Return Date</b></td>
                    <td style="width: 34%;"><b>Fee</b></td>
                </tr>
                <tr>
                    <td><?=formatDate($receipt['borrow_date'])?></td>
                    <td><?=formatDate($receipt['return_date'])?></td>
                    <td>$15</td>
                </tr>
            </table>
        </td>
    </tr>
</table>

    </div>
        <div class="row" style="align-items: center;"><h4 style="padding:0rem 1.5rem;">
         Download the receipt and pay amount to admin and get the book.</h4> <a href="" class="save-btn" id="download-pdf" style="width:120px;">Download</a></div>
       


    </div>

    </aside>
    
    

</section>

<?php endforeach; ?>
<script>
  // Define the button element
  const downloadPdfButton = document.getElementById('download-pdf');

  // Add a click listener to the button
  downloadPdfButton.addEventListener('click', function() {
    // Create a new jsPDF object
    const pdf = new jsPDF();

    // Get the HTML content to be printed
    const content = document.getElementById('content').innerHTML;

    // Print the content to the PDF
    pdf.fromHTML(content);

    // Download the PDF
    pdf.save('library-receipt.pdf');
  });

  $("#download").click(function() {
  var pdf = new jsPDF();
  pdf.setFontSize(18);
  pdf.text("Library Receipt", 20, 20);

  var source = $("#content")[0];
  var specialElementHandlers = {
    "#bypassme": function(element, renderer) {
      return true;
    }
  };
  var margins = {
    top: 50,
    bottom: 60,
    left: 40,
    width: 522
  };
  pdf.fromHTML(
    source,
    margins.left,
    margins.top,
    {
      width: margins.width,
      elementHandlers: specialElementHandlers
    },
    function(dispose) {
      pdf.save("library_receipt.pdf");
    },
    margins
  );
});

</script>
