-- phpMyAdmin SQL Dump
-- version 5.2.0
-- https://www.phpmyadmin.net/
--
-- Host: 127.0.0.1
-- Generation Time: Apr 09, 2023 at 04:28 PM
-- Server version: 10.4.24-MariaDB
-- PHP Version: 8.1.6

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `lms1`
--

-- --------------------------------------------------------

--
-- Table structure for table `td_book`
--

CREATE TABLE `td_book` (
  `id` int(11) NOT NULL,
  `title` varchar(255) NOT NULL,
  `author` varchar(100) NOT NULL,
  `quantity` int(11) NOT NULL,
  `cover` varchar(200) DEFAULT NULL,
  `bookUpdated` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  `bookIdentify` varchar(64) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Dumping data for table `td_book`
--

INSERT INTO `td_book` (`id`, `title`, `author`, `quantity`, `cover`, `bookUpdated`, `bookIdentify`) VALUES
(18, 'The Great Gatsby', 'F. Scott Fitzgerald', 19, 'https://upload.wikimedia.org/wikipedia/commons/7/7a/The_Great_Gatsby_Cover_1925_Retouched.jpg', '2023-04-09 07:42:03', '5yQ46RKBeVxxTXw6'),
(19, 'To Kill a Mockingbird', 'Harper Lee', 20, 'https://upload.wikimedia.org/wikipedia/commons/thumb/4/4f/To_Kill_a_Mockingbird_%28first_edition_cover%29.jpg/800px-To_Kill_a_Mockingbird_%28first_edition_cover%29.jpg', '2023-04-09 06:40:32', '0lPjCGIyDO81u1Qx'),
(20, '1984 2nd', 'George Orwell', 19, 'https://i0.wp.com/www.printmag.com/wp-content/uploads/2017/01/2a34d8_a6741e88335241308890543d203ad89dmv2.jpg?resize=500%2C815&ssl=1', '2023-04-09 07:39:42', 'EVEGOnyuYY99Gfe8'),
(21, '1984', 'George Orwell', 20, 'https://cdn.shopify.com/s/files/1/0627/1477/products/1984-george-orwell-cover-print-179850_1024x1024.jpg?v=1656593374', '2023-04-09 06:49:08', 'eHHlBpbLRNiUALFy'),
(22, 'Pride and Prejudice', 'Jane Austen', 18, 'https://janeausteninvermont.files.wordpress.com/2013/02/pp-cover-barchas-1.jpg', '2023-04-09 07:42:01', '2BhOl5F0SKBsxwOz'),
(23, 'The Catcher in the Rye', 'J.D. Salinger', 13, 'https://m.media-amazon.com/images/I/71fWBj3qq+L._AC_SL1000_.jpg', '2023-04-09 07:41:53', '0HsAXNe6JseA1WbV'),
(24, 'Lord of the Flies', 'William Golding', 19, 'https://william-golding.co.uk/wp-content/uploads/2016/02/Lord-of-the-Flies-centenary-ed-230x362.jpg', '2023-04-09 07:39:55', 'Gdsu8AaybrRcpGew'),
(25, 'The Hobbit', 'J.R.R. Tolkien', 19, 'https://1.bp.blogspot.com/-tz40y0OlrCc/VGfG-NmL_AI/AAAAAAAAAJg/JVArqytkaOE/s1600/81Dd%2BimpKAL.jpg', '2023-04-09 07:39:59', 'VGf4ME004uiLFi3b'),
(26, 'Animal Farm', 'George Orwell', 18, 'https://mir-s3-cdn-cf.behance.net/project_modules/disp/c7020818537301.562cb1b24dacc.jpg', '2023-04-09 07:41:57', 'V2rgrzkF2ItVnCvw'),
(27, 'Brave New World', 'Aldous Huxley', 19, 'https://m.media-amazon.com/images/W/IMAGERENDERING_521856-T1/images/I/41-n-3hZMeL._SY291_BO1,204,203,200_QL40_FMwebp_.jpg', '2023-04-09 07:41:59', 'tYawamrb1Ipfp6ow'),
(28, 'The Lord of the Rings', 'J.R.R. Tolkien', 18, 'https://images-na.ssl-images-amazon.com/images/S/compressed.photo.goodreads.com/books/1566425108i/33.jpg', '2023-04-09 07:41:33', 'Bn6yKLcrc2UaVFnS');

-- --------------------------------------------------------

--
-- Table structure for table `td_role`
--

CREATE TABLE `td_role` (
  `id` int(11) NOT NULL,
  `role_name` varchar(20) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Dumping data for table `td_role`
--

INSERT INTO `td_role` (`id`, `role_name`) VALUES
(1, 'admin'),
(2, 'user');

-- --------------------------------------------------------

--
-- Table structure for table `td_user`
--

CREATE TABLE `td_user` (
  `id` int(11) NOT NULL,
  `first_name` varchar(100) NOT NULL,
  `last_name` varchar(100) NOT NULL,
  `email` varchar(50) NOT NULL,
  `address` varchar(255) NOT NULL,
  `contact_no` varchar(15) NOT NULL,
  `password` varchar(100) NOT NULL,
  `status` varchar(2) NOT NULL,
  `role_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Dumping data for table `td_user`
--

INSERT INTO `td_user` (`id`, `first_name`, `last_name`, `email`, `address`, `contact_no`, `password`, `status`, `role_id`) VALUES
(1, 'Andrew', 'Green', 'mragreen@hotmail.com', '', '', '01521257123', '', 1),
(2, 'Ahad', 'Aminul', 'ahadulamin@gmail.com', '', '', '123456', '', 2),
(3, 'Afroza ', 'Shuly', 'afrozashuly@mail.com', 'Dhaka, Bangladesh', '01521257123', '01521257123', '1', 1),
(4, 'Afroza', 'Shuly', 'afrozashuly@mail.com', '01521257123', '01521257123', '01521257123', '1', 1),
(5, 'Afroza', 'Shuly', 'afrozashuly@mail.com', '01521257123', '01521257123', '01521257123', '1', 1),
(6, 'Afroza', 'Shuly', 'afrozashuly@mail.com', '01521257123', '01521257123', '01521257123', '1', 1),
(7, 'Afroza', 'Shuly', 'afrozashuly@mail.com', '01521257123', '01521257123', '01521257123', '1', 1),
(8, 'Afroza', 'Shuly', 'afrozashuly@mail.com', '01521257123', '01521257123', '01521257123', '1', 1),
(9, 'Afroza', 'Shuly', 'afrozashuly@mail.com', '01521257123', '01521257123', '01521257123', '1', 1),
(10, 'Afroza', 'Shuly', 'afrozashuly@mail.com', '01521257123', '01521257123', '01521257123', '1', 1),
(11, 'Afroza', 'Shuly', 'afrozashuly@mail.com', '01521257123', '01521257123', '01521257123', '1', 1),
(12, '', '', 'mdahadaminul@gmail.com', '', '', 'md@had1234', '', 2);

-- --------------------------------------------------------

--
-- Table structure for table `transactions`
--

CREATE TABLE `transactions` (
  `t_id` int(11) NOT NULL,
  `book_id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `borrow_date` date DEFAULT NULL,
  `return_date` date DEFAULT NULL,
  `amount` varchar(11) DEFAULT NULL,
  `late_fine` varchar(11) DEFAULT NULL,
  `transaction_type` varchar(20) DEFAULT NULL,
  `transaction_date` date DEFAULT NULL,
  `quantity` int(11) DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Dumping data for table `transactions`
--

INSERT INTO `transactions` (`t_id`, `book_id`, `user_id`, `borrow_date`, `return_date`, `amount`, `late_fine`, `transaction_type`, `transaction_date`, `quantity`, `created_at`, `updated_at`) VALUES
(57, 2, 2, '2023-04-08', '2023-04-15', '15', NULL, 'waiting', '2023-04-08', 1, '2023-04-07 18:00:00', '2023-04-07 18:00:00'),
(58, 3, 2, '2023-04-08', '2023-04-15', '15', NULL, 'waiting', '2023-04-08', 1, '2023-04-07 18:00:00', '2023-04-07 18:00:00'),
(59, 4, 2, '2023-04-08', '2023-04-15', '15', NULL, 'waiting', '2023-04-08', 1, '2023-04-07 18:00:00', '2023-04-07 18:00:00'),
(60, 2, 2, '2023-04-08', '2023-04-15', '15', NULL, 'waiting', '2023-04-08', 1, '2023-04-07 18:00:00', '2023-04-07 18:00:00'),
(61, 18, 2, '2023-04-09', '2023-04-16', '15', NULL, 'decline', '2023-04-09', 1, '2023-04-08 18:00:00', '2023-04-08 18:00:00'),
(62, 20, 2, '2023-04-01', '2023-04-02', '15', NULL, 'approved', '2023-04-09', 1, '2023-04-08 18:00:00', '2023-04-08 18:00:00'),
(63, 22, 2, '2023-04-09', '2023-04-16', '15', NULL, 'approved', '2023-04-09', 1, '2023-04-08 18:00:00', '2023-04-08 18:00:00'),
(64, 24, 2, '2023-04-09', '2023-04-16', '15', NULL, 'approved', '2023-04-09', 1, '2023-04-08 18:00:00', '2023-04-08 18:00:00'),
(65, 25, 2, '2023-04-09', '2023-04-16', '15', NULL, 'approved', '2023-04-09', 1, '2023-04-08 18:00:00', '2023-04-08 18:00:00'),
(66, 26, 2, '2023-04-09', '2023-04-16', '15', NULL, 'approved', '2023-04-09', 1, '2023-04-08 18:00:00', '2023-04-08 18:00:00'),
(67, 27, 2, '2023-04-09', '2023-04-16', '15', NULL, 'decline', '2023-04-09', 1, '2023-04-08 18:00:00', '2023-04-08 18:00:00'),
(68, 28, 2, '2023-04-09', '2023-04-16', '15', NULL, 'approved', '2023-04-09', 1, '2023-04-08 18:00:00', '2023-04-08 18:00:00'),
(69, 28, 2, '2023-04-09', '2023-04-16', '15', NULL, 'approved', '2023-04-09', 1, '2023-04-08 18:00:00', '2023-04-08 18:00:00'),
(70, 23, 2, '2023-04-09', '2023-04-16', '15', NULL, 'approved', '2023-04-09', 1, '2023-04-08 18:00:00', '2023-04-08 18:00:00'),
(71, 26, 2, '2023-04-09', '2023-04-16', '15', NULL, 'approved', '2023-04-09', 1, '2023-04-08 18:00:00', '2023-04-08 18:00:00'),
(72, 27, 2, '2023-04-09', '2023-04-16', '15', NULL, 'approved', '2023-04-09', 1, '2023-04-08 18:00:00', '2023-04-08 18:00:00'),
(73, 22, 2, '2023-04-09', '2023-04-16', '15', NULL, 'approved', '2023-04-09', 1, '2023-04-08 18:00:00', '2023-04-08 18:00:00'),
(74, 18, 2, '2023-04-09', '2023-04-16', '15', NULL, 'approved', '2023-04-09', 1, '2023-04-08 18:00:00', '2023-04-08 18:00:00'),
(75, 19, 2, '2023-04-09', '2023-04-16', '15', NULL, 'decline', '2023-04-09', 1, '2023-04-08 18:00:00', '2023-04-08 18:00:00'),
(76, 26, 2, '2023-04-09', '2023-04-16', '15', NULL, 'waiting', '2023-04-09', 1, '2023-04-08 18:00:00', '2023-04-08 18:00:00'),
(77, 18, 12, '2023-04-09', '2023-04-16', '15', NULL, 'waiting', '2023-04-09', 1, '2023-04-08 18:00:00', '2023-04-08 18:00:00'),
(78, 19, 12, '2023-04-09', '2023-04-16', '15', NULL, 'waiting', '2023-04-09', 1, '2023-04-08 18:00:00', '2023-04-08 18:00:00'),
(79, 20, 12, '2023-04-09', '2023-04-16', '15', NULL, 'waiting', '2023-04-09', 1, '2023-04-08 18:00:00', '2023-04-08 18:00:00');

-- --------------------------------------------------------

--
-- Table structure for table `transactions_details`
--

CREATE TABLE `transactions_details` (
  `id` int(11) NOT NULL,
  `transaction_id` int(11) NOT NULL,
  `transaction_date` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  `amount` double NOT NULL,
  `late_fine` double NOT NULL,
  `transaction_type` varchar(20) NOT NULL,
  `quantity` int(11) NOT NULL,
  `created_at` date NOT NULL,
  `updated_at` date NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Dumping data for table `transactions_details`
--

INSERT INTO `transactions_details` (`id`, `transaction_id`, `transaction_date`, `amount`, `late_fine`, `transaction_type`, `quantity`, `created_at`, `updated_at`) VALUES
(10, 57, '2023-04-07 18:00:00', 15, 0, 'approved', 1, '2023-04-08', '2023-04-08'),
(11, 59, '2023-04-07 18:00:00', 15, 0, 'approved', 1, '2023-04-08', '2023-04-08'),
(12, 57, '2023-04-08 18:00:00', 15, 0, 'approved', 1, '2023-04-09', '2023-04-09'),
(13, 57, '2023-04-08 18:00:00', 15, 0, 'approved', 1, '2023-04-09', '2023-04-09'),
(14, 57, '2023-04-08 18:00:00', 15, 0, 'approved', 1, '2023-04-09', '2023-04-09'),
(15, 57, '2023-04-08 18:00:00', 15, 0, 'approved', 1, '2023-04-09', '2023-04-09'),
(16, 57, '2023-04-08 18:00:00', 15, 0, 'approved', 1, '2023-04-09', '2023-04-09'),
(17, 62, '2023-04-08 18:00:00', 15, 0, 'approved', 1, '2023-04-09', '2023-04-09'),
(18, 63, '2023-04-08 18:00:00', 15, 0, 'approved', 1, '2023-04-09', '2023-04-09'),
(19, 64, '2023-04-08 18:00:00', 15, 0, 'approved', 1, '2023-04-09', '2023-04-09'),
(20, 65, '2023-04-08 18:00:00', 15, 0, 'approved', 1, '2023-04-09', '2023-04-09'),
(21, 66, '2023-04-08 18:00:00', 15, 0, 'approved', 1, '2023-04-09', '2023-04-09'),
(22, 68, '2023-04-08 18:00:00', 15, 0, 'approved', 1, '2023-04-09', '2023-04-09'),
(23, 69, '2023-04-08 18:00:00', 15, 0, 'approved', 1, '2023-04-09', '2023-04-09'),
(24, 70, '2023-04-08 18:00:00', 15, 0, 'approved', 1, '2023-04-09', '2023-04-09'),
(25, 70, '2023-04-08 18:00:00', 15, 0, 'approved', 1, '2023-04-09', '2023-04-09'),
(26, 70, '2023-04-08 18:00:00', 15, 0, 'approved', 1, '2023-04-09', '2023-04-09'),
(27, 70, '2023-04-08 18:00:00', 15, 0, 'approved', 1, '2023-04-09', '2023-04-09'),
(28, 70, '2023-04-08 18:00:00', 15, 0, 'approved', 1, '2023-04-09', '2023-04-09'),
(29, 70, '2023-04-08 18:00:00', 15, 0, 'approved', 1, '2023-04-09', '2023-04-09'),
(30, 70, '2023-04-08 18:00:00', 15, 0, 'approved', 1, '2023-04-09', '2023-04-09'),
(31, 71, '2023-04-08 18:00:00', 15, 0, 'approved', 1, '2023-04-09', '2023-04-09'),
(32, 72, '2023-04-08 18:00:00', 15, 0, 'approved', 1, '2023-04-09', '2023-04-09'),
(33, 73, '2023-04-08 18:00:00', 15, 0, 'approved', 1, '2023-04-09', '2023-04-09'),
(34, 74, '2023-04-08 18:00:00', 15, 0, 'approved', 1, '2023-04-09', '2023-04-09');

--
-- Indexes for dumped tables
--

--
-- Indexes for table `td_book`
--
ALTER TABLE `td_book`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `td_role`
--
ALTER TABLE `td_role`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `td_user`
--
ALTER TABLE `td_user`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk_role` (`role_id`);

--
-- Indexes for table `transactions`
--
ALTER TABLE `transactions`
  ADD PRIMARY KEY (`t_id`);

--
-- Indexes for table `transactions_details`
--
ALTER TABLE `transactions_details`
  ADD PRIMARY KEY (`id`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `td_book`
--
ALTER TABLE `td_book`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=29;

--
-- AUTO_INCREMENT for table `td_role`
--
ALTER TABLE `td_role`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;

--
-- AUTO_INCREMENT for table `td_user`
--
ALTER TABLE `td_user`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=13;

--
-- AUTO_INCREMENT for table `transactions`
--
ALTER TABLE `transactions`
  MODIFY `t_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=80;

--
-- AUTO_INCREMENT for table `transactions_details`
--
ALTER TABLE `transactions_details`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=35;

--
-- Constraints for dumped tables
--

--
-- Constraints for table `td_user`
--
ALTER TABLE `td_user`
  ADD CONSTRAINT `fk_role` FOREIGN KEY (`role_id`) REFERENCES `td_role` (`id`);
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
