<?php

class Controller
{
    public function view($view, $params = []){
        $layout = $this->layout($params);
        $content = $this->onlyView($view, $params);
       echo str_replace('{{content}}',$content,$layout);
    }

    protected function layout($params){
        ob_start();
        include_once "../app/views/layout/main.php";
        return ob_get_clean();
    }

    protected function onlyView($view, $params){
        ob_start();
        include_once "../app/views/$view.php";
        return ob_get_clean();
    }

    public function model($model)
    {
        if(file_exists("../app/models/" . $model . ".php"))
        {
            include "../app/models/" .$model. ".php";
            
            return new $model;
        }

        //return false ;
    }
}