<?php
class booksModel extends Model
{

	public function record($data = [])
	{
		$this->insert("td_book", $data);
	}

	public function countAll($search, $searchColumns)
	{
		return $this->countAllSearch("td_book", $search, $searchColumns);
	}

	public function displayAll($offset = null, $limit = null)
	{
		$columns = array(
			'id','title','author','quantity','cover','bookUpdated','bookIdentify',
		);
		return $this->dynamicSelectPagination("td_book", $columns, [], $offset, $limit);
	}

	public function displayAllSearch($search, $searchColumns, $offset = null, $limit = null)
	{
		$columns = array(
			'id','title','author','quantity','cover','bookUpdated','bookIdentify',
		);
		return $this->dynamicSelectSearch("td_book", $columns, [], $search, $searchColumns, $offset, $limit);
	}

	public function displaySingle($id)
	{
		$columns = array(
			'id','title','author','quantity','cover','bookUpdated','bookIdentify',
		);
		return $this->dynamicSelect("td_book", $columns, ["bookIdentify" => $id]);
	}

	public function update($data, $id)
	{
		return $this->dynamicUpdateWithWhere("td_book", $data, ["bookIdentify" => $id]);
	}

	public function erase($id)
	{
		return $this->dynamicDeleteWithPlaceholders("td_book", ["bookIdentify" => $id]);
	}
}
