<?php
class usersModel extends Model
{

  public function record($data = [])
  {
    $this->insert("td_user", $data);
  }

  public function countAll($search, $searchColumns)
  {
    return $this->countAllSearch("td_user", $search, $searchColumns);
  }

  public function displayAll($offset = null, $limit = null)
  {
    $columns = array(
      0 => 'id',
      1 => 'first_name',
      2 => 'last_name',
      3 => 'email',
      4 => 'address',
      5 => 'contact_no',
      6 => 'password',
      7 => 'status',
      8 => 'role_id',
    );
    return $this->dynamicSelectPagination("td_user", $columns, [], $offset, $limit);
  }

  public function displayAllSearch($search, $searchColumns, $offset = null, $limit = null)
  {
    $columns = array(
      0 => 'id',
      1 => 'first_name',
      2 => 'last_name',
      3 => 'email',
      4 => 'address',
      5 => 'contact_no',
      6 => 'password',
      7 => 'status',
      8 => 'role_id',
    );
    return $this->dynamicSelectSearch("td_user", $columns, [], $search, $searchColumns, $offset, $limit);
  }

  public function displaySingle($id)
  {
    $columns = array(
      0 => 'id',
      1 => 'first_name',
      2 => 'last_name',
      3 => 'email',
      4 => 'address',
      5 => 'contact_no',
      6 => 'password',
      7 => 'status',
      8 => 'role_id',
    );
    return $this->dynamicSelect("td_user", $columns, ["id" => $id]);
  }

  public function update($data, $id)
  {
    return $this->dynamicUpdateWithWhere("td_user", $data, ["id" => $id]);
  }


}
