
            <section style="display: flex;flex-wrap: nowrap;justify-content: space-between;">
            <?php 
                          $total = $this->model('totalModel');
                          $totalUsers = $total->totalUsers();
                          $totalBooks = $total->totalBooks();
                          $totalBorrowedBooks = $total->totalBorrowedBooks();
             ?>
              <div class="summery-area">
                <h1><?=$totalBooks?></h1>
                <p>Total Books</p>
                <div class="top-corner">
                <img src="<?=ASSETS?>/img/icons/books.svg" alt="">
                </div>
              </div>
              <div class="summery-area">
                <h1><?=$totalBorrowedBooks?></h1>
                <p>Borrowed Books</p>
                <div class="top-corner"><img src="<?=ASSETS?>/img/icons/borrowed-books.svg" alt=""></div>
              </div>
              <div class="summery-area">
                <h1><?=$totalUsers?></h1>
                <p>Member</p>
                <div class="top-corner">
                  <img src="<?=ASSETS?>/img/icons/user.svg">
                </div>
              </div>

            </section>
<?php 
        $search = isset($_GET['search']) ? $_GET['search'] : '';
        $booksModel = $this->model('booksModel');
        $searchColumns = array(
            0 => 'id',
            1 => 'title',
            2 => 'author'
        );
        $totalRecords = $booksModel->countAll($search, $searchColumns);
        $page = isset($_GET['page']) ? (int)$_GET['page'] : 1;
        $pagination = new Pagination($totalRecords, $page, 10);
        $data = $booksModel->displayAllSearch($search, $searchColumns, $pagination->getOffset(), $pagination->getLimit());
        $params['books'] = $data;
        if ($totalRecords > $pagination->getLimit()) {
            $params['pagination'] =  $pagination->render();
        } else {
            $params['pagination'] = '';
        }

?>
<section>
  <?php if (count($params['books']) > 0): ?>
    <div class="search-container">
      <form class="search-form" action="<?=ROOT?>/" method="get">
        <input type="text" name="search" placeholder="Search book by title">
        <button type="button" class="gradient-btn">Search</button>

      </form>

    </div>
    <div class="data-table">
      <div class="data-info">
        <h3>Book List</h3> <a href="<?= ROOT ?>/books/build" class="">View all</a>
      </div>



      <div class="table-container">
        <table>
          <thead>
            <tr>
              <th>Book ID</th>
              <th>Title</th>
              <th>Author</th>
              <th>Quantity</th>
              <th>Action</th>
            </tr>
          </thead>
          <tbody>
            <?php foreach ($params['books'] as $key => $books) : ?>
              <tr>
              
                <td>#B<?= $books['id'] ?></td>
                <td><?= $books['title'] ?></td>
                <td><?= $books['author'] ?></td>
                <td><?= $books['quantity'] ?></td>
                <td>
              
                  <div class="action-menu" style="display: flex;align-items: center;">
                 
                    <div class="dots"><i class="uil uil-ellipsis-v"></i></div>
                    <div class="menu">
                      <a href="<?= ROOT ?>/books/<?= $books['bookIdentify'] ?>/modify" class="edit"><i class="uil uil-edit"></i>Edit</a>
                      <a href="<?= ROOT ?>/books/<?= $books['bookIdentify'] ?>/destroy" class="delete"><i class="uil uil-trash-alt"></i>Delete</a>
                      <a href="<?= ROOT ?>/books/<?= $books['bookIdentify'] ?>" class="show"><i class="uil uil-eye"></i>Show</a>
                      <a href="#" class="hide"><i class="uil uil-shield-exclamation"></i>Hide</a>
                    </div>
                    <div class="delete" id="delete-<?=$books['id']?>"><i class="uil uil-trash-alt"></i></div>

                  </div>


                </td>
              </tr>
            <?php endforeach; ?>
          </tbody>


        </table>

        <div class="pagination-container">
          <?= $params["pagination"] ?>
        </div>


      </div>
      <?php else: ?>
      <p style="padding:1.1rem;text-align:center;">No Record to Display.</p>
      <?php endif; ?>

    </div>

  </section>
