<section>
  <?php $countBorrowedByUser = $this->model('TransactionModel');?>
  <?php if (count($params['users']) > 0): ?>
    <div class="search-container">
      <form class="search-form" action="<?=ROOT?>/users/" method="get">
        <input type="text" name="search" placeholder="Search user by id/name/email">
        <button type="button" class="gradient-btn">Search</button>

      </form>

    </div>
    <div class="data-table">
      <div class="data-info">
        <h3>Users </h3> <a href="<?= ROOT ?>/users/build" class="gradient-btn">Add new User</a>
      </div>



      <div class="table-container">
        <table>
          <thead>
      <th>User ID</th>
      <th>User Name</th>
      <th>Book Borrowed</th>
      <th>Contact No</th>
       <th>Actions</th>

            </tr>
          </thead>
          <tbody>
            <?php foreach ($params['users'] as $key => $users) : ?>
              <tr>
              
<td><?= $users['id'] ?></td>
<td><?= $users['first_name'] ?> <?= $users['last_name'] ?></td>
<td><?php echo $countBorrowedByUser->countBorrowedByUser($users['id']);?></td>
<td><?= $users['contact_no'] ?></td>
              <td>
                  <div class="action-menu" style="display: flex;align-items: center;">
                 
                    <div class="dots"><i class="uil uil-ellipsis-v"></i></div>
                    <div class="menu">
                      <a href="<?= ROOT ?>/users/<?= $users['id'] ?>/modify" class="edit"><i class="uil uil-edit"></i>Edit</a>
                    </div>

                  </div>


                </td>
              </tr>
            <?php endforeach; ?>
          </tbody>


        </table>

        <div class="pagination-container">
          <?= $params["pagination"] ?>
        </div>


      </div>
      <?php else: ?>
      <p>No Record to Display.</p>
      <?php endif; ?>

    </div>

  </section>


<script>
$(document).ready(function() {
  $('[id^="cid-"]').click(function() {
    var id = $(this).attr('id').split('-').pop();
    if ($(this).is(':checked')) {
      $('#delete-' + id).show();
    } else {
      $('#delete-' + id).hide();
    }
  });
});


</script>